- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Check whether the data policy name exists
¶ Check if the data policy Name is available
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Use the data policy Name to check whether it is valid in the user pool.
¶ Method Name
ManagementClient.checkDataPolicyExists
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| policyName | string | Yes | - | Data policy name, unique to the user pool | Example data policy name |
¶ Sample Code
package test.management.dataPermission.policy;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CheckDataPolicyExistsDto;
import cn.authing.sdk.java.dto.CheckParamsDataPolicyResponseDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class CheckDataPolicyExistsTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
CheckDataPolicyExistsDto reqDto = new CheckDataPolicyExistsDto();
reqDto.setPolicyName("Sample Data Policy Name");
CheckParamsDataPolicyResponseDto response = client.checkDataPolicyExists(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: CheckParamsDataPolicyResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | CheckParamsDataPolicyRespDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"isValid": " false",
"message": " data Policy name already exist"
}
}
¶ Data Structure
¶ CheckParamsDataPolicyRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| isValid | boolean | yes | Is the data policy Name verification valid? | false |
| message | string | no | Prompt message if the data policy Name verification fails. If the verification succeeds, message is not returned. | data Policy name already exist |
